-------------------------------------------------------------------------------
-- Some basic class information
-------------------------------------------------------------------------------
FFY_CLASS_DRUID   = 'DRUID';
FFY_CLASS_HUNTER  = 'HUNTER';
FFY_CLASS_MAGE    = 'MAGE';
FFY_CLASS_PALADIN = 'PALADIN';
FFY_CLASS_PRIEST  = 'PRIEST';
FFY_CLASS_ROGUE   = 'ROGUE';
FFY_CLASS_SHAMAN  = 'SHAMAN';
FFY_CLASS_WARLOCK = 'WARLOCK';
FFY_CLASS_WARRIOR = 'WARRIOR';

-------------------------------------------------------------------------------
-- Spell List: All Buffs
-------------------------------------------------------------------------------
-- Reagent Group Buffs
FFY_SPELL_PRYR_FORTITUDE    = 'Prayer of Fortitude';
FFY_SPELL_ARCANEBRILLIANCE  = 'Arcane Brilliance';
FFY_SPELL_GIFTWILD          = 'Gift of the Wild';

-- Spells castable on anyone
FFY_SPELL_FORTITUDE         = 'Power Word: Fortitude';
FFY_SPELL_ARCANEINT         = 'Arcane Intellect';
FFY_SPELL_MARKWILD          = 'Mark of the Wild';
FFY_SPELL_DIVINESPIRIT      = 'Divine Spirit';
FFY_SPELL_SHADOWPROT        = 'Shadow Protection';
FFY_SPELL_THORNS            = 'Thorns';

-- Spells castable on self only
FFY_SPELL_INNERFIRE         = 'Inner Fire';
FFY_SPELL_ELUNESGRACE       = 'Elune\'s Grace';
FFY_SPELL_SHADOWGUARD       = 'Shadowguard';
FFY_SPELL_FROSTARMOR        = 'Frost Armor';
FFY_SPELL_ICEARMOR          = 'Ice Armor';
FFY_SPELL_MAGEARMOR         = 'Mage Armor';
FFY_SPELL_FIREWARD          = 'Fire Ward';
FFY_SPELL_FROSTWARD         = 'Frost Ward';
FFY_SPELL_DEMONSKIN         = 'Demon Skin';

-- Weapon Buffs
FFY_SPELL_FEEDBACK          = 'Feedback';

-- Paladin Blessings
FFY_BLESSING_MIGHT          = 'Blessing of Might';
FFY_BLESSING_WISDOM         = 'Blessing of Wisdom';
FFY_BLESSING_SANCTUARY      = 'Blessing of Sanctuary';
FFY_BLESSING_SALVATION      = 'Blessing of Salvation';
FFY_BLESSING_KINGS          = 'Blessing of Kings';
FFY_BLESSING_LIGHT          = 'Blessing of Light';

-- Risky spells - buffs that aren't always wanted
FFY_SPELL_AMPLIFYMAGIC      = 'Amplify Magic'
FFY_SPELL_DAMPENMAGIC       = 'Dampen Magic'

-- This is the text used for the word 'rank'
FFY_RANK                    = 'Rank';

-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------
-- $s is spell name
-- $t is target name
-- $m is person missed name
-- $r is the rank of the spell
FFY_STARTING_BUFFS  = "Casting buffs now...";
FFY_DONE_BUFFS      = "Done casting my buffs.";
FFY_NOTHING         = "Nothing to do.";
FFY_PEOPLE_MISSED   = "Out of range: $m";
FFY_BUFF_STRING     = "Casting $s on $t.";
FFY_SPELL_FOUND     = "$s spell found!";
FFY_NO_SPELLS       = "No beneficial spells found!";
FFY_NO_SPELLS_RDY   = "Cannot cast right now.";
FFY_OUT_OF_RANGE    = "$t is out of range and cannot be buffed.";
FFY_MACRO_ERROR     = "To use fortify, please make a macro for the command '/fortify' without any parameters, or use '/ffy panel' to show the UI button.  Type '/ffy help' for more options.";
FFY_TOGGLE_SYNTAX   = "Please type '/ffy toggle [spell name]' to turn a spell off or on.";
FFY_ONLY_SYNTAX     = "Please type '/ffy only [spell name]' to use only a single buff.";
FFY_TOGGLE_SPELLING = "The spell '$s' is not recognized.  Please check your spellbook for correct spelling.";
FFY_TOGGLE_YESCAST  = "'$s' will be cast on all members in the party.";
FFY_TOGGLE_NOCAST   = "'$s' will no longer be cast.";
FFY_TOGGLE_SINGLE   = "Only '$s' will be cast.";
FFY_TOGGLE_ALL      = "Restoring default configuration.  All buffs will be cast.";
FFY_SHOW_SETTINGS   = "--- ALL SETTINGS ---";
FFY_DEBUG_ON        = "Debug messages will now be shown to your console (ENGLISH ONLY).";
FFY_DEBUG_OFF       = "Debug messages turned off.";
FFY_RECEIVE_WHISPER = "Ok, I'll cast '$s' on you.  I will remember your preference until I log out.";
FFY_BAD_WHISPER     = "I don't have '$s'.  I have: $l";
FFY_SHOWLINE        = "* Casting: $l";
FFY_IGNORELINE      = "* Ingoring: $l";
FFY_MODE_QUIET      = "* Group / Raid notification is OFF.";
FFY_MODE_NOTIFY     = "* Group / Raid notification is ON.";
FFY_DEBUGON         = "* Debug messages are ON.";
FFY_DEBUGOFF        = "* Debug messages are OFF.";
FFY_MODE_AUTOREPLY  = "* Auto-Reply to whispers is ON.";
FFY_MODE_FAILREPLY  = "* Auto-Reply to whispers is FAILURE-ONLY.";
FFY_MODE_NOREPLY    = "* Auto-Reply to whispers is OFF.";
FFY_PETSMSG_ON      = "* Casting on pets is ON.";
FFY_PETSMSG_OFF     = "* Casting on pets is OFF.";
FFY_TELLBUFF_ON     = "* Notifying targets by tell is ON.";
FFY_TELLBUFF_OFF    = "* Notifying targets by tell is OFF.";
FFY_WHISPERREQUEST  = "* Blessing '$t' with '$s'."
FFY_REPLY_CHOICES   = "Please select a reply mode: auto, fail, or off.";
FFY_HELP_MSG        = "Choose from the following commands:";
FFY_UPGRADE_MSG     = "Upgrading from version $v1 to $v2.  Please reconfigure your spell settings.";
FFY_TELLBUFF_MSG    = "Casting $s on you.";
FFY_ANNOUNCE_MSG    = "I can cast the following blessings: $l.  To select one, whisper me with its name.";
FFY_BADANNOUNCE_MSG = "You're not a Paladin.  Only Paladins need to announce their blessing availability.";
FFY_BLESS_MSG       = "Selected '$s' for '$p'.";
FFY_BADBLESS_MSG    = "Please type '/ffy bless [character] [blessing]' to select a blessing for a player.";
FFY_AUTOSELECT_MSG  = "Auto-selected '$s' for '$p'.  To change, type '/ffy bless $p [blessing]'.";
FFY_RECAST_MSG      = "Ok.  Fortify will now allow you to recast all buffs on all members of your party/raid.";
FFY_CONSERVE_MSG    = "Mana conserve set to $m mana.";

-- These are the commands recognized by Fortify
FFY_CMD_QUIET       = "quiet";
FFY_CMD_MOVEABLE    = "move";
FFY_CMD_TOGGLESPELL = "toggle";
FFY_CMD_DEBUG       = "debug";
FFY_CMD_SINGLESPELL = "only";
FFY_CMD_ALLSPELLS   = "reset";
FFY_CMD_SHOW        = "show";
FFY_CMD_TOGGLEUI    = "panel";
FFY_CMD_HELP        = "help";
FFY_CMD_REPLY       = "reply";
FFY_CMD_PETS        = "pets";
FFY_CMD_TELLBUFF    = "tell";
FFY_CMD_DUTY        = "duty";
FFY_CMD_BLESS       = "bless";
FFY_CMD_ANNOUNCE    = "announce";
FFY_CMD_RECAST      = "recast";
FFY_CMD_CONSERVE    = "conserve";
FFY_REPLY_AUTO      = "auto";
FFY_REPLY_FAIL      = "fail";
FFY_REPLY_OFF       = "off";
FFY_DUTY_ALL        = "all";
FFY_DUTY_CIRCLE     = "circle";
FFY_DUTY_HALF       = "half";
FFY_DUTY_WHISPER    = "whisper";
FFY_ON              = "on";
FFY_OFF             = "off";

-------------------------------------------------------------------------------
-- the constants for the mod
-------------------------------------------------------------------------------
BINDING_HEADER_FORTIFY  = "Fortify";
PRAVETZ_FORT            = "Fortify v2.2";
FFY_MACRO_COMMAND       = "/fortify";
FFY_MACRO_COMMAND2      = "/ffy";
FFY_TAG                 = "FORTIFY: ";
FFY_VERSION_STRING      = PRAVETZ_FORT .. " - type '" .. FFY_MACRO_COMMAND2 .. " " .. FFY_CMD_HELP .. "' for help - Pravetz (Proudmoore)";

-------------------------------------------------------------------------------
-- TODO: German localization 
-------------------------------------------------------------------------------
if ( GetLocale() == "deDE" ) then

    -- Reagent Group Buffs
    FFY_SPELL_PRYR_FORTITUDE    = 'Gebet der Seelenst\195\164rke';
    FFY_SPELL_ARCANEBRILLIANCE  = 'Arkane Brillanz';
    FFY_SPELL_GIFTWILD          = 'Gabe der Wildnis';
    
    -- Spells castable on anyone
    FFY_SPELL_FORTITUDE         = 'Machtwort: Seelenst\195\164rke';
    FFY_SPELL_ARCANEINT         = 'Arkane Intelligenz';
    FFY_SPELL_MARKWILD          = 'Mal der Wildnis';
    FFY_SPELL_DIVINESPIRIT      = 'G\195\182ttlicher Willen';
    FFY_SPELL_SHADOWPROT        = 'Schattenschutz';
    FFY_SPELL_THORNS            = 'Dornen';
    
    -- Spells castable on self only
    FFY_SPELL_INNERFIRE         = 'Inneres Feuer';
    FFY_SPELL_ELUNESGRACE       = '';
    FFY_SPELL_SHADOWGUARD       = '';
    FFY_SPELL_FROSTARMOR        = '';
    FFY_SPELL_ICEARMOR          = '';
    FFY_SPELL_MAGEARMOR         = '';
    FFY_SPELL_FIREWARD          = '';
    FFY_SPELL_FROSTWARD         = '';
    
    -- Weapon Buffs
    FFY_SPELL_FEEDBACK          = 'R\195\188ckkopplung';
    
    -- Paladin Blessings
    FFY_BLESSING_MIGHT          = 'Segen der Macht';
    FFY_BLESSING_WISDOM         = 'Segen der Weisheit';
    FFY_BLESSING_SANCTUARY      = 'Segen der Refugiums';
    FFY_BLESSING_SALVATION      = 'Segen der Rettung';
    FFY_BLESSING_KINGS          = 'Segen der K\195\182nige';
    FFY_BLESSING_LIGHT          = 'Segen der Lichts';
    
    -- This is the text used for the word 'rank'
    FFY_RANK                    = 'Rang';

-------------------------------------------------------------------------------
-- TODO: French localization
-------------------------------------------------------------------------------
elseif ( GetLocale() == "frFR" ) then

    -- Reagent Group Buffs
    FFY_SPELL_PRYR_FORTITUDE = 'Pri\195\168re de Robustesse';
    FFY_SPELL_ARCANEBRILLIANCE = 'Illumination des Arcanes';
    FFY_SPELL_GIFTWILD = 'Don du fauve';
    
    -- Spells castable on anyone
    FFY_SPELL_FORTITUDE = 'Mot de pouvoir : Robustesse';
    FFY_SPELL_ARCANEINT = 'Intelligence des Arcanes';
    FFY_SPELL_MARKWILD = 'Marque du fauve';
    FFY_SPELL_DIVINESPIRIT = 'Esprit Divin';
    FFY_SPELL_SHADOWPROT = 'Protection contre l ombre';
    FFY_SPELL_THORNS = 'Thorns'; -- Don't know what is it
    
    -- Spells castable on self only
    FFY_SPELL_INNERFIRE = 'Feu int\195\169rieur';
    FFY_SPELL_ELUNESGRACE = 'Gr\195\162ce d Elune';
    FFY_SPELL_SHADOWGUARD = 'Gardien des T\195\169n\195\168bres';
    FFY_SPELL_FROSTARMOR = 'Armure de Givre';
    FFY_SPELL_ICEARMOR = 'Armure de Glace';
    FFY_SPELL_MAGEARMOR = 'Armure du Mage';
    FFY_SPELL_FIREWARD = 'Gardien de feu';
    FFY_SPELL_FROSTWARD = 'Gardien de givre';
    
    -- Weapon Buffs
    FFY_SPELL_FEEDBACK = 'R\195\169action';
    
    -- This is the text used for the word 'rank'
    FFY_RANK = 'Rang'; 

end



